Bug 1318000 - [GSS] - Glusterd not operational due to snapshot conflicting with nfs-ganesha export file in "/var/lib/glusterd/snaps"
Summary: [GSS] - Glusterd not operational due to snapshot conflicting with nfs-ganesha...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Jiffin
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On: 1318591
Blocks: 1351515 1351530 1365265 1365797
TreeView+ depends on / blocked
 
Reported: 2016-03-15 17:55 UTC by Mukul Malhotra
Modified: 2017-04-10 11:13 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: Bug Fix
Doc Text:
The glusterd service expected that all files in the /var/lib/glusterd/snaps/<snapshot name> directory were volumes. This meant that when a snapshot was taken of an NFS-Ganesha volume, glusterd interpreted the configuration file as an invalid volume and did not start. Glusterd now starts correctly in this situation.
Clone Of:
: 1318591 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:27:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Comment 3 Mukul Malhotra 2016-03-16 14:35:49 UTC
Hello,

Also, please improve the logging related to nfs-ganesha in the logs so that the same should be visible & would help in troubleshooting the issue.

Thanks
Mukul

Comment 4 Jiffin 2016-03-17 14:07:31 UTC
Patches posted in upstream for review

http://review.gluster.org/#/c/13763/
http://review.gluster.org/#/c/13764/

Comment 5 Kaleb KEITHLEY 2016-06-20 12:19:52 UTC
fix is upstream, needs to be merged downstream

Comment 7 Atin Mukherjee 2016-09-17 12:08:27 UTC
Upstream mainline : http://review.gluster.org/13764
Upstream 3.8 : http://review.gluster.org/15113

And the fix is available in rhgs-3.2.0 as part of rebase to GlusterFS 3.8.4.

Comment 10 Manisha Saini 2016-12-15 10:28:21 UTC
Verified this Bug on 

# rpm -qa | grep ganesha
nfs-ganesha-2.4.1-2.el7rhgs.x86_64
glusterfs-ganesha-3.8.4-8.el7rhgs.x86_64
nfs-ganesha-gluster-2.4.1-2.el7rhgs.x86_64


# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.3 (Maipo)

Steps:
1.Create NFS ganesha 4 node cluster setup.
2.Create a Volume and enable NFS-Ganesha on it.
3.Take snapshot of that volume.
4.Stop glusterd and restart glusterd services

Test Case2:
1.Create NFS ganesha 4 node cluster setup.
2.Create a Volume and enable NFS-Ganesha on it.
3.Take snapshot of that volume.
4.In /var/lib/glusterd/snaps/ remove export.snap1.conf file.
5.Restart glusterd services

As the issue is no more observed,Hence marking this Bug as verified.

Comment 13 errata-xmlrpc 2017-03-23 05:27:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.